Bug 452108 - Review Request: cfdg-fe - A frontend for cfdg
Review Request: cfdg-fe - A frontend for cfdg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Paulo Roma Cavalcanti
Fedora Extras Quality Assurance
:
Depends On: 452107
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-19 09:33 EDT by Gwyn Ciesla
Modified: 2008-11-22 11:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 23:04:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
promac: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Paulo Roma Cavalcanti 2008-10-30 18:05:28 EDT

There is no "ready" tarball here:

 http://impulzus.com/~tchibo/

I downloaded a Zip file, which name has 8 characters, and change 
each time. 

Anyway, rpmlint is clean,

and I built it locally on F8 x86_64, after rebuilding
its dependency (cfdg).

It also builds for F9 i386 with mock.

I loaded several examples from cfdg, and rendered the images,
although a few files did not succeed.

There is also in the source an example called

welcome.cfdg

which could go to the documentation.

OK: The package must be named according to the Package Naming Guidelines.
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
OK: The package must meet the Packaging Guidelines.
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL.
OK: The package must successfully compile and build into binary rpms on at least one supported architecture.
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 
OK: All build dependencies must be listed in BuildRequires, 
NA: The spec file MUST handle locales properly. 
NA: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, 
OK: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK: A package must own all directories that it creates. 
OK: A package must not contain any duplicate files in the %files listing.
OK: Permissions on files must be set properly. 
OK: Each package must have a %clean section.
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files should go in a -doc subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application.
NA: Header files must be in a -devel package.
NA: Static libraries must be in a -static package.
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency.
OK: Packages must NOT contain any .la libtool archives.
OK: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. 
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
OK: All filenames in rpm packages must be valid UTF-8.


Summary: All clean.
Comment 2 Gwyn Ciesla 2008-10-31 08:51:49 EDT
Thanks.  If you intend this review to be official, you need to also set the status from NEW to ASSIGNED, assign it from nobody to your self, and set the review flag to ?.  Then, when approved, set the review flag to + and indicate your approval.
Comment 3 Paulo Roma Cavalcanti 2008-10-31 10:48:47 EDT
(In reply to comment #2)
> Thanks.  If you intend this review to be official, you need to also set the
> status from NEW to ASSIGNED, assign it from nobody to your self, and set the
> review flag to ?.  Then, when approved, set the review flag to + and indicate
> your approval.

That is the problem. I cannot change the status. 
NEW is fixed (no pop-up). 

Also, the fedora-cvs is greyed for me
on all pages (I could not change it for parprouted).

I can only change the status of pages where someone has done this before,
such as the pyglet revision (you changed there first).

I read in the guidelines, I would have to wait at least 24hs
for my status change, because the sync is done manually once per day.


Do you think this is the problem?
Comment 4 Gwyn Ciesla 2008-10-31 10:56:01 EDT
I think so, everything else looks ok.
Comment 5 Paulo Roma Cavalcanti 2008-10-31 13:27:18 EDT
Hi, Jon


I realized that I am watching the Review Requests with
my bugzilla account. How do I use my FAS2 account instead?

I set a different email for FAS2. Should I change the email of my bugzilla account
to match the one from my FAS2 account?
Comment 6 Gwyn Ciesla 2008-10-31 13:46:10 EDT
Probably.  I use the same one for both, and use my FAS2 account to get in.
Comment 7 Paulo Roma Cavalcanti 2008-10-31 14:04:02 EDT
Finally, done.
Comment 8 Gwyn Ciesla 2008-10-31 14:09:13 EDT
Thanks very much!

New Package CVS Request
=======================
Package Name: cfdg-fe
Short Description: A frontend for cfdg
Owners: limb
Branches: F-9 devel
InitialCC:
Comment 9 Kevin Fenzi 2008-11-01 13:38:02 EDT
cvs done.
Comment 10 Fedora Update System 2008-11-03 09:35:33 EST
cfdg-fe-0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cfdg-fe-0.1-1.fc9
Comment 11 Fedora Update System 2008-11-04 16:34:13 EST
cfdg-fe-0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cfdg-fe-0.1-1.fc10
Comment 12 Fedora Update System 2008-11-05 23:04:39 EST
cfdg-fe-0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-11-22 11:47:42 EST
cfdg-fe-0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.